#
# Manages current Tennpipes version for use in gem generation.
#
# We put this in a separate file so you can get tennpipes version
# without include full tennpipes core.
#
module Tennpipes
  # The version constant for the current version of Tennpipes.
  VERSION = '3.6.6' unless defined?(Tennpipes::VERSION)

  #
  # The current Tennpipes version.
  #
  # @return [String]
  #   The version number.
  #
  def self.version
    VERSION
  end
end # Tennpipes
